Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.store
Class CharUtil

    java.lang.Object
      org.apache.xmlbeans.impl.store.CharUtil

    public final class CharUtil

extends java.lang.Object

Nested Class Summary
`static class` | `CharUtil.CharIterator`
`static class` | `CharUtil.CharJoin`

Field Summary
`int` | `_cchSrc`
`int` | `_offSrc`

Constructor Summary
`CharUtil(int charBufSize)`

Method Summary
`static void` | `clearThreadLocals()`
`static void` | `dump(java.lang.Object src, int off, int cch)`
`static void` | `dumpChars(java.io.PrintStream p, java.lang.Object src, int off, int cch)`
`CharUtil.CharIterator` | `getCharIterator(java.lang.Object src, int off, int cch)`
`CharUtil.CharIterator` | `getCharIterator(java.lang.Object src, int off, int cch, int start)`
`static void` | `getChars(char[] chars, int start, java.lang.Object src, int off, int cch)`
`static java.lang.String` | `getString(java.lang.Object src, int off, int cch)`
`static void` | `getString(java.lang.StringBuffer sb, java.lang.Object src, int off, int cch)`
`static CharUtil` | `getThreadLocalCharUtil()`
`java.lang.Object` | `insertChars(int posInsert, java.lang.Object src, int off, int cch, java.lang.Object srcInsert, int offInsert, int cchInsert)`
`static boolean` | `isValid(java.lang.Object src, int off, int cch)`
`static boolean` | `isWhiteSpace(char ch)`
`boolean` | `isWhiteSpace(java.lang.Object src, int off, int cch)`
`java.lang.Object` | `removeChars(int posRemove, int cchRemove, java.lang.Object src, int off, int cch)`
`java.lang.Object` | `saveChars(java.lang.Object srcSave, int offSave, int cchSave)`
`java.lang.Object` | `saveChars(java.lang.Object srcSave, int offSave, int cchSave, java.lang.Object srcPrev, int offPrev, int cchPrev)`
`java.lang.Object` | `stripLeft(java.lang.Object src, int off, int cch)`
`java.lang.Object` | `stripRight(java.lang.Object src, int off, int cch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _offSrc

    public int _offSrc

### _cchSrc

    public int _cchSrc

Constructor Detail

### CharUtil

    public CharUtil(int charBufSize)

Method Detail

### getCharIterator

    public CharUtil.CharIterator getCharIterator(java.lang.Object src,
                                                 int off,
                                                 int cch)

### getCharIterator

    public CharUtil.CharIterator getCharIterator(java.lang.Object src,
                                                 int off,
                                                 int cch,
                                                 int start)

### getThreadLocalCharUtil

    public static CharUtil getThreadLocalCharUtil()

### getString

    public static void getString(java.lang.StringBuffer sb,
                                 java.lang.Object src,
                                 int off,
                                 int cch)

### getChars

    public static void getChars(char[] chars,
                                int start,
                                java.lang.Object src,
                                int off,
                                int cch)

### getString

    public static java.lang.String getString(java.lang.Object src,
                                             int off,
                                             int cch)

### isWhiteSpace

    public static final boolean isWhiteSpace(char ch)

### isWhiteSpace

    public final boolean isWhiteSpace(java.lang.Object src,
                                      int off,
                                      int cch)

### stripLeft

    public java.lang.Object stripLeft(java.lang.Object src,
                                      int off,
                                      int cch)

### stripRight

    public java.lang.Object stripRight(java.lang.Object src,
                                       int off,
                                       int cch)

### insertChars

    public java.lang.Object insertChars(int posInsert,
                                        java.lang.Object src,
                                        int off,
                                        int cch,
                                        java.lang.Object srcInsert,
                                        int offInsert,
                                        int cchInsert)

### removeChars

    public java.lang.Object removeChars(int posRemove,
                                        int cchRemove,
                                        java.lang.Object src,
                                        int off,
                                        int cch)

### saveChars

    public java.lang.Object saveChars(java.lang.Object srcSave,
                                      int offSave,
                                      int cchSave)

### saveChars

    public java.lang.Object saveChars(java.lang.Object srcSave,
                                      int offSave,
                                      int cchSave,
                                      java.lang.Object srcPrev,
                                      int offPrev,
                                      int cchPrev)

### dump

    public static void dump(java.lang.Object src,
                            int off,
                            int cch)

### dumpChars

    public static void dumpChars(java.io.PrintStream p,
                                 java.lang.Object src,
                                 int off,
                                 int cch)

### isValid

    public static boolean isValid(java.lang.Object src,
                                  int off,
                                  int cch)

### clearThreadLocals

    public static void clearThreadLocals()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD